Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Interface Choice

All Known Implementing Classes:
  ChoiceGroup, List

    public interface Choice

Author:
  Andre Nijholt

Field Summary
`static int` | `EXCLUSIVE`
`static int` | `IMPLICIT`
`static int` | `MULTIPLE`
`static int` | `POPUP`
`static int` | `TEXT_WRAP_DEFAULT`
`static int` | `TEXT_WRAP_OFF`
`static int` | `TEXT_WRAP_ON`

Method Summary
`int` | `append(String stringPart, Image imagePart)`
`void` | `delete(int elementNum)`
`void` | `deleteAll()`
`Image` | `getImage(int elementNum)`
`int` | `getSelectedFlags(boolean[] selectedArray_return)`
`int` | `getSelectedIndex()`
`String` | `getString(int elementNum)`
`void` | `insert(int elementNum, String stringPart, Image imagePart)`
`boolean` | `isSelected(int elementNum)`
`void` | `set(int elementNum, String stringPart, Image imagePart)`
`void` | `setSelectedFlags(boolean[] selectedArray)`
`void` | `setSelectedIndex(int elementNum, boolean selected)`
`int` | `size()`

Field Detail

### EXCLUSIVE

    static final int EXCLUSIVE

See Also:
  Constant Field Values

### MULTIPLE

    static final int MULTIPLE

See Also:
  Constant Field Values

### IMPLICIT

    static final int IMPLICIT

See Also:
  Constant Field Values

### POPUP

    static final int POPUP

See Also:
  Constant Field Values

### TEXT_WRAP_DEFAULT

    static final int TEXT_WRAP_DEFAULT

See Also:
  Constant Field Values

### TEXT_WRAP_ON

    static final int TEXT_WRAP_ON

See Also:
  Constant Field Values

### TEXT_WRAP_OFF

    static final int TEXT_WRAP_OFF

See Also:
  Constant Field Values

Method Detail

### append

    int append(String stringPart,
               Image imagePart)

### delete

    void delete(int elementNum)

### deleteAll

    void deleteAll()

### getImage

    Image getImage(int elementNum)

### getSelectedFlags

    int getSelectedFlags(boolean[] selectedArray_return)

### getSelectedIndex

    int getSelectedIndex()

### getString

    String getString(int elementNum)

### insert

    void insert(int elementNum,
                String stringPart,
                Image imagePart)

### isSelected

    boolean isSelected(int elementNum)

### set

    void set(int elementNum,
             String stringPart,
             Image imagePart)

### setSelectedFlags

    void setSelectedFlags(boolean[] selectedArray)

### setSelectedIndex

    void setSelectedIndex(int elementNum,
                          boolean selected)

### size

    int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD